// 管理员（科组长）分档模块
import Grading from "../modules/grading/Grading";
import GradingProgress from "../modules/grading/GradingProgress";
import GradingDetail from "../modules/grading/GradingDetail";
import GradingAnalysis from "../modules/grading/GradingAnalysis";
import GradingUserManage from "../modules/grading/GradingUserManage";
import GradingGroupManage from "../modules/grading/GradingGroupManage";
import ExamPaperView from "../modules/main/ExamPaperView";
import GradingStandardPaperManage from "../modules/grading/GradingStandardPaperManage";

// 阅卷员分档
import GradingOperation from "../modules/grading/GradingOperation";
import MarkerGrading from "../modules/grading/marker/MarkerGrading";
import LeaderGrading from "../modules/grading/leader/LeaderGrading";

const gradingRoutes = [
  {
    path: "grading-progress",
    name: "GradingProgress",
    component: GradingProgress,
    meta: {
      title: "分档进度",
    },
  },
  {
    path: "grading-detail",
    name: "GradingDetail",
    component: GradingDetail,
    meta: {
      title: "分档详情",
    },
  },
  {
    path: "grading-analysis",
    name: "GradingAnalysis",
    component: GradingAnalysis,
    meta: {
      title: "分档统计",
    },
  },
  {
    path: "grading-user-manage",
    name: "GradingUserManage",
    component: GradingUserManage,
    meta: {
      title: "用户管理",
    },
  },
  {
    path: "grading-group-manage",
    name: "GradingGroupManage",
    component: GradingGroupManage,
    meta: {
      title: "分档分组",
    },
  },
  {
    path: "exam-paper-view",
    name: "ExamPaperView",
    component: ExamPaperView,
    meta: {
      title: "试卷查看",
    },
  },
  {
    path: "grading-standard-paper-manage",
    name: "GradingStandardPaperManage",
    component: GradingStandardPaperManage,
    meta: {
      title: "标准卷管理",
    },
  },
];

// tips: subjectId == `workId-subject`
export default [
  {
    path: "/grading/:workId(\\d+)/:subjectId",
    name: "Grading",
    component: Grading,
    redirect: { name: "GradingProgress" },
    children: gradingRoutes,
  },
  {
    path: "/marker-grading/:workId(\\d+)/:subjectId",
    name: "MarkerGrading",
    component: MarkerGrading,
    meta: {
      title: "阅卷员分档",
    },
  },
  {
    path: "/grading-operation/:workId(\\d+)/:subjectId",
    name: "GradingOperation",
    component: GradingOperation,
    meta: {
      title: "阅卷员分档",
    },
  },
  {
    path: "/leader-grading/:workId(\\d+)/:subjectId",
    name: "LeaderGrading",
    component: LeaderGrading,
    meta: {
      title: "科组长分档",
    },
  },
];
