import Inspection from "../modules/inspection/Inspection";
import InspectionActionLogs from "../modules/inspection/InspectionActionLogs";
import InspectionCollectLogs from "../modules/inspection/InspectionCollectLogs";
import InspectionGrading from "../modules/inspection/InspectionGrading";
// 纪检成绩查询页面，直接使用管理员中的成绩查询页面，页面做了权限控制
import StudentScore from "../modules/main/StudentScore";

const inspectionRoutes = [
  {
    path: "inspection-action-logs",
    name: "InspectionActionLogs",
    component: InspectionActionLogs,
    meta: {
      title: "操作日志",
    },
  },
  {
    path: "inspection-collect-logs",
    name: "InspectionCollectLogs",
    component: InspectionCollectLogs,
    meta: {
      title: "采集日志",
    },
  },
  {
    path: "inspection-grading",
    name: "InspectionGrading",
    component: InspectionGrading,
    meta: {
      title: "改档处理",
    },
  },
  {
    path: "inspection-score",
    name: "InspectionScore",
    component: StudentScore,
    meta: {
      title: "成绩查询",
    },
  },
];

export default [
  {
    path: "/inspection",
    name: "Inspection",
    component: Inspection,
    redirect: { name: "InspectionActionLogs" },
    children: inspectionRoutes,
  },
];
